Skip to content
WP EngineDocumentation

Clear the web cache corresponding to the Environment.

POST
/v1/accounts/{account}/apps/{app}/environments/{environment}:clearCache
curl --request POST \
--url https://js.wpengineapi.com/v1/accounts/example/apps/example/environments/example:clearCache \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{}'
account
required
string

Name of your WP Engine Headless Platform account

app
required
string

Name of your Headless Platform application

environment
required
string

ID of your environment

Media typeapplication/json

Request to purge the cache of an Environment.

object
Examplegenerated
{}

A successful response.

Media typeapplication/json

Response acknowledging a request to purge cache of an Environment.

object
Examplegenerated
{}